Package com.xebialabs.xlrelease.configuration

# Class TenantLimit

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.configuration.TenantLimit

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="Limits", root=CONFIGURATION, versioned=false, description="Limits configuration for resource quotas and constraints") public class TenantLimit extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TenantLimit()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxConnections()`
  `int`
  `getMaxDeliveries()`
  `int`
  `getMaxFolders()`
  `int`
  `getMaxPatterns()`
  `int`
  `getMaxRunningReleases()`
  `int`
  `getMaxTemplates()`
  `int`
  `getMaxTriggers()`
  `int`
  `getMaxWorkflowExecutions()`
  `int`
  `getMaxWorkflowTemplates()`
  `String`
  `getTenantId()`
  `boolean`
  `isEnabled()`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setMaxConnections(int maxConnections)`
  `void`
  `setMaxDeliveries(int maxDeliveries)`
  `void`
  `setMaxFolders(int maxFolders)`
  `void`
  `setMaxPatterns(int maxPatterns)`
  `void`
  `setMaxRunningReleases(int maxRunningReleases)`
  `void`
  `setMaxTemplates(int maxTemplates)`
  `void`
  `setMaxTriggers(int maxTriggers)`
  `void`
  `setMaxWorkflowExecutions(int maxWorkflowExecutions)`
  `void`
  `setMaxWorkflowTemplates(int maxWorkflowTemplates)`
  `void`
  `setTenantId(String tenantId)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TenantLimit

    public TenantLimit()

- ## Method Details

  - ### getTenantId

    public String getTenantId()

  - ### setTenantId

    public void setTenantId(String tenantId)

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getMaxRunningReleases

    public int getMaxRunningReleases()

  - ### setMaxRunningReleases

    public void setMaxRunningReleases(int maxRunningReleases)

  - ### getMaxWorkflowExecutions

    public int getMaxWorkflowExecutions()

  - ### setMaxWorkflowExecutions

    public void setMaxWorkflowExecutions(int maxWorkflowExecutions)

  - ### getMaxWorkflowTemplates

    public int getMaxWorkflowTemplates()

  - ### setMaxWorkflowTemplates

    public void setMaxWorkflowTemplates(int maxWorkflowTemplates)

  - ### getMaxFolders

    public int getMaxFolders()

  - ### setMaxFolders

    public void setMaxFolders(int maxFolders)

  - ### getMaxConnections

    public int getMaxConnections()

  - ### setMaxConnections

    public void setMaxConnections(int maxConnections)

  - ### getMaxTemplates

    public int getMaxTemplates()

  - ### setMaxTemplates

    public void setMaxTemplates(int maxTemplates)

  - ### getMaxTriggers

    public int getMaxTriggers()

  - ### setMaxTriggers

    public void setMaxTriggers(int maxTriggers)

  - ### getMaxPatterns

    public int getMaxPatterns()

  - ### setMaxPatterns

    public void setMaxPatterns(int maxPatterns)

  - ### getMaxDeliveries

    public int getMaxDeliveries()

  - ### setMaxDeliveries

    public void setMaxDeliveries(int maxDeliveries)